| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
ob::StreamProfile Class Reference

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::StreamProfile:

## Public Member Functions
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
virtual | ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream.
OBStreamType | type () const
| Get the type of stream.
OBExtrinsic | getExtrinsicTo (std::shared_ptr< StreamProfile > target)
| Get the extrinsic parameters from current stream profile to the given target stream profile.
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type.
template<typename T >
std::shared_ptr< T > | as ()
| Converts object type to target type.

## Protected Attributes
std::unique_ptr< StreamProfileImpl > | impl_

## Friends
class | Sensor
class | Config
class | Pipeline

## Detailed Description

Definition at line 22 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

## ◆ StreamProfile() [1/2]

ob::StreamProfile::StreamProfile | ( | std::unique_ptr< StreamProfileImpl > | impl | ) |

## ◆ StreamProfile() [2/2]

ob::StreamProfile::StreamProfile | ( | StreamProfile & | streamProfile | ) |

## ◆ ~StreamProfile()

virtual ob::StreamProfile::~StreamProfile | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ format()

OBFormat ob::StreamProfile::format | ( |  | ) | const

Get the format of the stream.

Returns
  OBFormat return the format of the stream

## ◆ type()

OBStreamType ob::StreamProfile::type | ( |  | ) | const

Get the type of stream.

Returns
  OBStreamType return the type of the stream

## ◆ getExtrinsicTo()

OBExtrinsic ob::StreamProfile::getExtrinsicTo | ( | std::shared_ptr< StreamProfile > | target | ) |

Get the extrinsic parameters from current stream profile to the given target stream profile.

Returns
  OBExtrinsic Return the extrinsic parameters.

## ◆ is()

template<typename T >

bool ob::StreamProfile::is

Check if frame object is compatible with the given type.

Template Parameters

  T | Given type

Returns
  bool return result

Definition at line 192 of file StreamProfile.hpp.

## ◆ as()

template<typename T >

std::shared_ptr< T > ob::StreamProfile::as | ( |  | ) |
| inline

Converts object type to target type.

Template Parameters

  T | Target type

Returns
  std::shared_ptr<T> Return the result. Throws an exception if conversion is not possible.

Definition at line 66 of file StreamProfile.hpp.

## Friends And Related Symbol Documentation

## ◆ Sensor

friend class Sensor
| friend

Definition at line 74 of file StreamProfile.hpp.

## ◆ Config

friend class Config
| friend

Definition at line 75 of file StreamProfile.hpp.

## ◆ Pipeline

friend class Pipeline
| friend

Definition at line 76 of file StreamProfile.hpp.

## Member Data Documentation

## ◆ impl_

std::unique_ptr<StreamProfileImpl> ob::StreamProfile::impl_
| protected

Definition at line 24 of file StreamProfile.hpp.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/StreamProfile.hpp